# RSS čtečka

* Autor: Marek Susčík
* Ke stažení: [stabilní verze][1]

## Co je nového

Abyste se dozvěděli o novinkách, které přinášejí jednotlivé verze RSS čtečky, přejděte na stránku
[Novinky v jednotlivých verzích](news.html)

## Funkce RSS čtečky

Doplněk RSS čtečka vám poskytuje následující funkce:
* přihlášení ke sledování zvolených kanálů
 * kanál lze zadat ručně, pokud znáte jeho adresu
 * nebo lze kanál vybrat z databáze připravených kanálů
* dodatečná úprava názvu kanálu nebo jeho adresy například při její případné změně
* procházení titulů zpráv zveřejněných v přihlášených kanálech
* při procházení zpráv může být volitelně čten také stručnný obsah zprávy
* zobrazení pouze kanálů s nepřečtenými zprávami
* zobrazení zpráv ze všech kanálů v jednom seznamu
* otevření vybrané zprávy ve výchozím webovém prohlížeči
* otevření vybrané zprávy jako text
* zprávy jsou ukládány, takže o ně nepřijdete v případě, kdy už je kanál nevysílá
* vymazání zpráv, které vás již nezajímají
* archivace zpráv, které jsou pro vás velmi zajímavé
* odeslání vybrané zprávy mailem
* stažení nových zpráv ze všech kanálů nebo pouze z vybraného kanálu
* stahování zpráv ze všech kanálů ve zvoleném časovém intervalu
* automatické stažení nových zpráv pro zvolený kanál při jeho otevření
* automatické stažení všech zpráv při vyvolání okna RSS čtečky
* ohlášení počtu zpráv ve vybraném kanálu
* prohledávání zpráv
* automatická kontrola aktualizací doplňku RSS čtečka

## Ovládání RSS čtečky

Okno aplikace RSS čtečka můžete kdykoli vyvolat pomocí kombinace kláves _Ctrl+Shift+I_. Pokud RSS čtečku spouštíte poprvé, budete upozorněni, že ještě nemáte přidané žádné kanály a zda kanály chcete nyní přidat. Odpovíte-li kladně, budete dotázáni, zda chcete vybrat kanál z již předpřipravených kanálů. Pokud i na tuto otázku odpovíte kladně, objeví se seznam kategorií a po zvolení kategorie se zobrazí seznam kanálů, které pro danou kategorii je v databázi k dispozici. Vy si pak již jen některý kanál zvolíte a stisknete klávesu Enter, čímž bude kanál do čtečky přidán. Pokud byste na otázku, zda chcete vybrat kanál z předpřipravené databáze, odpověděli záporně, objeví se editační pole, do kterého můžete ručně zapsat adresu RSS kanálu. Po stisku Enter bude kanál přidán do RSS čtečky.
Máte-li již v RSS čtečce přidány nějaké kanály, objeví se po vyvolání okna RSS čtečky jejich seznam, ve kterém se můžete pohybovat pomocí šipek nahoru a dolů. Po stisku klávesy _F2_ se dozvíte, kolik zpráv se v aktuálně zvoleném kanálu nachází, případně kolik nových zpráv v tomto kanálu přibylo při stahování nových zpráv od startu NVDA a spuštění čtečky. Počet nových zpráv je u jednotlivých kanálů ohlašován také automaticky. Toto chování se dá změnit v nastavení.
První položka v seznamu kanálů s názvem Vše zobrazí pohromadě všechny zprávy ze všech kanálů. Pokud stisknete klávesu _F2_ na položce Vše, dozvíte se celkový počet zpráv uložených ve vaší RSS čtečce.
Po stisku klávesy _Enter_ se zobrazí seznam zpráv ve zvoleném kanálu. Ve výchozím stavu je nastaveno automatické načtení nových zpráv, takže po otevření kanálu budete mít k dispozici vždy ty nejnovější zprávy. Při pohybu šipkami nahoru a dolů v seznamu zpráv bude přečten vždy titulek zprávy a její stručný obsah. Pomocí klávesy _F2_ si můžete nechat přečíst datum a čas, kdy byla vybraná zpráva vydána a také její pozici, tedy na kolikátém místě z celkového počtu zpráv se zvolená zpráva nachází a jaký je celkový počet zpráv v právě otevřeném kanálu. Pokud použijete klávesu _F2_ při zobrazení všech zpráv ze všech kanálů, dozvíte se kromě data a pořadí zprávy také kanál, ve kterém se vybraná zpráva nachází. Kombinací kláves _Ctrl+F2_ si můžete nechat přečíst stručný obsah zprávy. V titulu okna se kromě názvu aktuálního kanálu zobrazí počet nových zpráv zahrnující rovněž zprávy načtené automaticky při otevření kanálu.
Zpět do seznamu kanálů se vrátíte klávesou _Backspace_ nebo klávesou _Escape_. Po návratu do seznamu kanálů bude počet nových zpráv vynulován.

## Otevření zprávy

V seznamu zpráv můžete libovolnou zprávu otevřít stiskem klávesy _Enter_. Zpráva se otevře buď ve výchozím webovém prohlížeči nebo jako text v textovém prohlížeči. To, jakým způsobem se zpráva otevře, je ovlivněno položkou Otevírat zprávy jako text v dialogu Nastavení.
Pokud chcete zprávu otevřít ve webovém prohlížeči nezávisle na nastavení, můžete místo klávesy _Enter_ stisknout _Ctrl+Enter_. Obdobně pro otevření zprávy v textovém prohlížeči nezávisle na nastavení můžete použít _Shift+Enter_.

## Textový prohlížeč

Pokud zprávu otevřete jako text, bude zobrazena v textovém prohlížeči. V tomto prohlížeči můžete se zprávou zacházet stejně jako s libovolným textem, např. pomocí šipek si ji prohlížet, označovat a kopírovat libovolnou část zprávy atd. Budete-li chtít zprávu plynule číst, stačí stisknout _Mezerník_. Pro zastavení čtení použijte libovolnou klávesu. Pro otevření zprávy ve webovém prohlížeči můžete stisknout klávesu _F5_.
Textový prohlížeč ukončíte a zpět do seznamu zpráv se dostanete stiskem klávesy _Escape_ nebo _Backspace_, případně můžete použít rovněž _Alt+F4_.

## Aplikační nabídka

RSS čtečka má svou aplikační nabídku, do níž můžete vstoupit stiskem klávesy _Alt_. Poté můžete šipkou dolů či nahoru prohlížet její položky a kteroukoli z nich provést stiskem klávesy Enter. Většinu položek v aplikační nabídce lze vyvolávat pomocí klávesových zkratek, které jsou u těchto položek uvedeny.
Svou aplikační nabídku má také okno textového prohlížeče.

## Přidání nového kanálu

Do RSS čtečky můžete přidat kanál dvěma způsoby:
* ručně, pokud znáte adresu kanálu
* z databáze předpřipravených kanálů

### Ruční přidání kanálu

* stiskněte _Ctrl+N_
* zadejte adresu RSS kanálu nebo ji třeba vložte ze scrhánky
* stiskněte Enter
Adresa bude ověřena, bude zjištěn název kanálu a kanál bude přidán do vašeho seznamu kanálů.

### Přidání kanálu z databáze

* stiskněte Ctrl+D
* zvolte kategorii kanálů a stiskněte _Enter_
* vyberte kanál s tiskněte _Enter_
Kanál bude přidán do vašeho seznamu kanálů.

## Mazání zpráv a kanálů

Zprávu či kanál můžete vymazat stiskem klávesy _Delete_. Protože zpráv budete možná mazat hodně, můžete v nastavení vypnout dotazování před mazáním zprávy.

## Archivace zpráv

Pokud si budete chtít nějakou zajímavou zprávu schovat, abyste ji třeba při procházení ostatních zpráv omylem nesmazali, můžete ji uložit do archivu pomocí klávesy _F6_. Po jejím stisku zpráva z prohlíženého kanálu zmizí a v seznamu kanálů se na poslední pozici objeví nová položka Archiv. Pokud do ní vstoupíte, zobrazí se vám seznam kanálů, ze kterých jste zprávy archivovali. Po otevření kanálu se zobrazí všechny archivované zprávy ze zvoleného kanálu. Archiv můžete otevřít z nabídky kanálů také pomocí kombinace kláves _Ctrl+F6_.

## Poslání zprávy mailem

Vybranou zprávu můžete někomu poslat mailem tak, že stisknete *Ctrl+E*. Otevře se vaše výchozí poštovní aplikace. V ní bude otevřeno okno pro odeslání nové zpráva. v němž bude jako předmět vyplněn titulek zprávy a do textu zprávy bude vložen stručný obsah zprávy následovaný odkazem na webovou stránku s celou zprávou. Na vás už bude jen do políčka Komu zadat příjemce, kterému chcete zprávu poslat a následně takto připravenou zprávu odeslat.

## Načítání nových zpráv

Můžete načíst nové zprávy pro všechny kanály stiskem klávesy _F5_. Můžete ale také načíst zprávy jen pro právě vybraný kanál stiskem kombinace kláves _Ctrl+F5_. Po načtení nových zpráv zazní zvukový signál a bude ohlášen počet nových zpráv. V průběhu načítání se může ozvat také nízký bzučák, oznamující chybu při načítání, která vám bude po načtení všech kanálů ohlášena. Ve výchozím nastavení se nové zprávy načítají automaticky při otevření kanálu. Toto chování lze změnit v nastavení. V nastavení můžete také určit, že se budou nové zprávy načítat automaticky po vyvolání okna RSS čtečky nebo po zvoleném časovém intervalu, např. každou hodinu.

## Zobrazení kanálů s novými zprávami

V seznamu kanálů můžete stiskem klávesy _F4_ nebo volbou příslušné položky z aplikační nabídky zobrazit pouze ty kanály, ve kterých máte nějaké nové zprávy. Dalším stiskem klávesy _F4_ nebo volbou položky z aplikační nabídky zobrazíte opět všechny kanály. Za nové zprávy jsou pokládány takové zprávy, které jste přijali od spuštění odečítače NVDA a zobrazení RSS čtečky. Pokud některý kanál s novými zprávami otevřete a zobrazíte seznam zpráv v tomto kanálu, bude u něj počet nových zpráv vynulován. Při zobrazení pouze kanálů s novými zprávami nelze přidávat ani mazat kanály. Pokud v tomto zobrazení bude spuštěno stahování zpráv ze všech kanálů a to ručně či automaticky, bude zobrazení přepnuto na zobrazení všech kanálů.

## Změna názvu nebo adresy kanálu

V seznamu kanálů můžete vyvolat na zvoleném kanálu jeho vlastnosti stiskem kombinace kláves _Alt+Enter_. Objeví se okno se dvěma editačními poli. V jednom bude zobrazen název kanálu, ve druhém jeho adresa. Obě tyto hodnoty můžete měnit a stiskem tlačítka OK změni potvrdit, případně tlačítkem Zrušit změny neukládat.

## Prohledávání zpráv

Máte-li zobrazen seznam kanálů, jejichž zprávy odebíráte, můžete prohledat všechny zprávy ve všech kanálech a zjistit tak, zda se v některé ze zpráv nachází vámi zadaný text. Pro vyvolání funkce vyhledávání ve zprávách všech kanálů stiskněte _Ctrl+F_, zadejte hledaný text a stiskněte _Enter_. Zobrazí se seznam kanálů, ve kterých se vyskytují zprávy s textem, který jste zadali. Tyto zprávy zobrazíte po stisku klávesy _Enter_ na zvoleném kanálu. Můžete s nimi pracovat tak, jak jste zvyklí, číst je, mazat atd. Po stisku klávesy _Backspace_ nebo _Escape_ se vrátíte zpět do seznamu kanálů, který však bude stále obsahovat pouze kanály se zprávami obsahujícími hledaný text. Chcete-li zobrazit všechny kanály se všemi zprávami, zvolte položku Zobrazit všechny kanály, která se nachází jako první v seznamu kanálů. Podle výskytu této položky také vždy můžete rozpoznat, že se nacházíte v seznamu výsledků hledání a nikoli v seznamu všech kanálů a zpráv.

## Import a export seznamu kanálů

Celý seznam kanálů můžete exportovat do souboru ve formátu OPML a poslat jej třeba svému známému, který vámi exportované kanály následně může do své čtečky importovat, čímž je přidá ke svému současnému seznamu kanálů. Při importu stačí jen vybrat OPML soubor, ze kterého chcete kanály do čtečky přidat, při exportu zase jen zvolíte, kam chcete soubor se seznamem kanálů ve formátu OPML uložit a jak jej chcete pojmenovat. Import i export kanálů naleznete v aplikační nabídce.

## Aktualizace doplňku RSS čtečka

RSS čtečka je vybavena systémem automatické kontroly aktualizací. V případě, že bude k dispozici nová verze, budete na tuto skutečnost po spuštění NVDA upozorněni a budete dotázáni, zda tuto novou verzi chcete stáhnout. Pokud odpovíte kladně, dojde ke stažení a ke spuštění instalace nové verze doplňku RSS čtečka. Kontrolu nové verze můžete také provést ručně z aplikační nabídky.

## Nastavení RSS čtečky

Pomocí nastavení můžete ovlivnit chování RSS čtečky. Do nastavení se dostanete stiskem klávesy _F12_. Máte k dispozici tyto možnosti:
* Otevírat zprávy jako text - určuje, zda po stisku Enter bude zpráva otevřena jako text nebo bude otevřena jako webová stránka ve výchozím webovém prohlížeči
* Zeptat se před smazáním zprávy - určuje, zda se po stisku _Delete_ na zprávě objeví dotaz pro smazání nebo za se zpráva rovnou vymaže
* Zeptat se před přesunem zprávy do archivu - určije, zda budete po stisku _F6_ dotázáni na přesun do archivu nebo zda se zpráva přesune bez dotazu
* Automaticky ohlásit počet nových zpráv u kanálu - je-li tato volba zapnuta, bude při procházení kanálů automaticky ohlášen počet nových zpráv u každého kanálu, ve kterém od posledního stažení přibyly nové zprávy
* Automaticky ohlásit popis u zprávy - bude-li zaškrtnuta, bude při procházení zpráv vyslovován také stručný obsah zprávy, pokud tuto volbu vypnete, můžete si popis nechat ohlásit pomocí _Ctrl+F2_
* Po otevření kanálu načíst nové zprávy - je-li tato volba aktivovaná, jsou po otevření kanálu automaticky načítány nové zprávy, pokud ji vypnete, můžete si zprávy pro libovolný kanál načíst pomocí _Ctrl+F5_
* Po spuštění načíst nové zprávy - určuje, zda budou při aktivaci okna RSS čtečky automaticky načítány nové zprávy
* automaticky stahovat nové zprávy - v tomto rozbalovacím seznamu můžete zvolit interval, po kterém budou automaticky stahovány nové zprávy nebo můžete zvolit Vypnuto a stahovat zprávy pouze ručním vyžádáním pomocí _F5_

## Kontakt na autora

Pokud mi budete chtít ohledně RSS čtečky cokoli sdělit, ať už pochvalu, kritiku či nějaký nápad pro její vylepšení, [pošlete mi mail](mailto:markuv.koutek@seznam.cz_subject=RssReader)

[1]: http://suscik.cz/nvda/rss/rssreader.nvda-addon
